import kuto
from kuto import feature, story, title

from pages.adr_page import HomePage, MyPage, SettingPage


@feature("安卓测试demo")
@story("PO模式")
class TestPODemo(kuto.Case):

    def start(self):
        self.auto_start_app = False
        self.home_page = HomePage(self.driver)
        self.my_page = MyPage(self.driver)
        self.setting_page = SettingPage(self.driver)

    @title("从首页进入设置页")
    def test_go_setting(self):
        self.home_page.my.click(timeout=10)
        self.my_page.setting.click()
        self.setting_page.assert_activity(
            '.me.MeSettingActivity')
        self.setting_page.screenshot("设置页")


@feature("安卓测试demo")
@story("普通模式")
class TestNormalDemo(kuto.Case):

    @title("从首页进入设置页")
    def test_go_setting(self):
        self.elem(xpath='//*[@resource-id="com.qizhidao.clientapp:id/ll'
                        'BottomTabs"]/android.widget.FrameLayout[4]').click(timeout=10)
        self.elem(rid='com.qizhidao.clientapp:id/me_top_bar_setting_iv').click()
        self.assert_content("设置")
        self.screenshot("设置页")


if __name__ == '__main__':
    kuto.main(
        platform='android',
        did='UJK0220521066836',
        pkg='com.qizhidao.clientapp')


